import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:wowit/methods.dart';


class BaseModel {
  DocumentSnapshot documentSnapshot;
  Map<String, Object> data;
  int documentID;
  String documentDocumentSnapshotID;
  int statusData;

  BaseModel(DocumentSnapshot _document) {
    this.documentSnapshot = _document;
    initBaseData(this.documentSnapshot);
  }

  void initBaseData(DocumentSnapshot _document) {
    if (!_document.exists) {
      print(this.runtimeType.toString() + ' - initBaseData is not exists');
      return;
    }
    this.documentDocumentSnapshotID = _document.id;
    this.data = _document.data();
    this.documentID = Methods.getDataHashMapInt(data, 'documentID');
    this.statusData = Methods.getDataHashMapInt(data, 'statusData');
    if (this.documentID.toString() != this.documentDocumentSnapshotID) {
      print(this.runtimeType.toString() +
          ' - WARNING documentID != documentDocumentSnapshotID [ ' +
          this.documentID.toString() +
          ' != ' +
          this.documentDocumentSnapshotID +
          ']');
    }
  }
}
